## view.element
Class GoForm

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Form
                      view.xhtml.PostForm
                          view.element.GoForm

Direct Known Subclasses:
  EditTournamentPage.TournamentForm, RegistrationPage.EntryForm

    public class GoForm

extends PostForm

Nested Class Summary

Nested classes/interfaces inherited from class view.xhtml.Form
`Form.SendMethod`

Constructor Summary
`GoForm(GoURL url)` Constructs the element.
`GoForm(java.lang.String url)` As above, but accepts a String, which is automatically converted to a Go URL.

Method Summary

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GoForm

    public GoForm(GoURL url)

  Constructs the element.

  Parameters:
    `url` - a URL for the 'action' attribute.

### GoForm

    public GoForm(java.lang.String url)

  As above, but accepts a String, which is automatically converted to a Go URL.